Package: org.codehaus.groovy.tools.shell.completion

## [Groovy] Enum GroovySyntaxCompletor.CompletionCase

- org.codehaus.groovy.tools.shell.completion.GroovySyntaxCompletor.CompletionCase

-     static enum GroovySyntaxCompletor.CompletionCase

- - ### Enum Constants Summary

    Enum constants classes
    Enum constant | Description
    --- | ---
    `DOT_LAST` |
    `INSTANCEOF` |
    `NO_COMPLETION` |
    `NO_DOT_PREFIX` |
    `PREFIX_AFTER_DOT` |
    `PREFIX_AFTER_SPREAD_DOT` |
    `SECOND_IDENT` |
    `SPREAD_DOT_LAST` |

  - ### Field Summary

    Fields
    Modifiers | Name | Description
    --- | --- | ---
    `static GroovySyntaxCompletor.CompletionCase` | `MAX_VALUE` |
    `static GroovySyntaxCompletor.CompletionCase` | `MIN_VALUE` |

  - ### Methods Summary

    Methods
    Type Params | Return Type | Name and description
    --- | --- | ---
    `` | `GroovySyntaxCompletor.CompletionCase` | `next()`
    `` | `GroovySyntaxCompletor.CompletionCase` | `previous()`
    `` | `static GroovySyntaxCompletor.CompletionCase` | `valueOf(String name)`
    `` | `static final GroovySyntaxCompletor.CompletionCase[]` | `values()`

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `class Object` | `wait, wait, wait, equals, toString, hashCode, getClass, notify, notifyAll`

- - ### Enum Constant Detail

    - #### GroovySyntaxCompletor.CompletionCase DOT_LAST

    - #### GroovySyntaxCompletor.CompletionCase INSTANCEOF

    - #### GroovySyntaxCompletor.CompletionCase NO_COMPLETION

    - #### GroovySyntaxCompletor.CompletionCase NO_DOT_PREFIX

    - #### GroovySyntaxCompletor.CompletionCase PREFIX_AFTER_DOT

    - #### GroovySyntaxCompletor.CompletionCase PREFIX_AFTER_SPREAD_DOT

    - #### GroovySyntaxCompletor.CompletionCase SECOND_IDENT

    - #### GroovySyntaxCompletor.CompletionCase SPREAD_DOT_LAST

  - ### Field Detail

    - #### public static final GroovySyntaxCompletor.CompletionCase MAX_VALUE

    - #### public static final GroovySyntaxCompletor.CompletionCase MIN_VALUE

  - ### Method Detail

    - #### @Generated GroovySyntaxCompletor.CompletionCase next()

    - #### @Generated GroovySyntaxCompletor.CompletionCase previous()

    - #### @Generated static GroovySyntaxCompletor.CompletionCase valueOf(String name)

    - #### @Generated static final GroovySyntaxCompletor.CompletionCase[] values()